# Update remarks for the order

The endpoint enables the remarks and additional fields (index 1 - 6) to
be updated for the order. Within a call, the update

of more data can be called for.


The individual data object keys are not optional. Only the key values,
which are included in the data object, will be updated.


If "customerRemark", "trackingNumber", "eshopRemark" have a value of
NULL, the originally saved value will be deleted.


For additional fields ("additionalFields” key) only the fields included
in this field are updated.


If the key value is "text" for NULL additional field, the originally
saved text in this field will be deleted.


If the non-existing key is entered, or the call is erroneous in another
way, no item is updated.


Please note that trackingNumber cannot be longer than 32
characters.

Please note that additionalField with index 1, 2 & 3 cannot be
longer than 255 characters.

Endpoint: PATCH /api/orders/{code}/notes
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    Example: "2018000012"

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.customerRemark` (string,null)

  - `data.trackingNumber` (string,null)

  - `data.additionalFields` (array)

  - `data.additionalFields.index` (integer, required)
    Enum: 1, 2, 3, 4, 5, 6

  - `data.additionalFields.text` (string,null, required)

  - `data.eshopRemark` (string,null)

## Response 200 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


